﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml.Serialization;

namespace Notizzettel
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            if(File.Exists("notizen.xml"))
            {
                FileStream f = new FileStream("notizen.xml", FileMode.Open);
                XmlSerializer x = new XmlSerializer(typeof(List<Notizdaten>));
                List<Notizdaten> datenliste = (List<Notizdaten>)x.Deserialize(f);
                f.Close();

                foreach (var item in datenliste)
                {
                    Notiz n = new Notiz(Brushes.Black);
                    n.Daten = item;
                    n.Show();
                    notizen.Add(n);
                }
            }
        }

        List<Notiz> notizen = new List<Notiz>();

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Notiz n = new Notiz(((Button)sender).Background);
            notizen.Add(n);
            n.Show();
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            FileStream f = new FileStream("notizen.xml", FileMode.Create);
            XmlSerializer x = new XmlSerializer(typeof(List<Notizdaten>));

            List<Notizdaten> datenliste = new List<Notizdaten>();
            foreach (var item in notizen)
	        {
                if (item.IsLoaded)
                {
                    datenliste.Add(item.Daten);
                }
	        }
            x.Serialize(f, datenliste);
            f.Close();

            foreach (var item in notizen)
            {
                item.Close();
            }
        }
    }
}
